{% extends "./plantilla.html" %}
{% load static %}

{% block contenido %}
<div class="row tm-content-row tm-mt-big">
    <div class="col-xl-4 col-lg-12 tm-md-12 tm-sm-12 tm-col">
        <div class="bg-white tm-block h-100">
            <center><h1 class="mt-3 mx-2 text-dark"><strong>Equipo</strong></h1>
              <form action="/guardarEquipo/" method="post" enctype="multipart/form-data" id="frm_nueva_posicion">
                {% csrf_token %}
                <br>
                <b>NOMBRE EQUIPO:</b>
                <input type="text" name="nombre_equi" id="nombre_equi" value="" placeholder="Ingrese el nombre del equipo" class="form-control" required>
                <br>
                <b>SIGLAS:</b>
                <input name="siglas_equi" id="siglas_equi" placeholder="Ingrese las siglas del equipo" class="form-control" required>
                <br>
                <b>AÑO DE FUNDACION:</b>
                <input name="fundacion_equi" id="fundacion_equi" placeholder="Ingrese el año de fundacion del equipo" class="form-control" required>
                <br>
                <b>REGION:</b>
                <input name="region_equi" id="region_equi" placeholder="Ingrese la region del equipo" class="form-control" required>
                <br>
                <b>NUMERO DE TITULOS:</b>
                <input name="numero_titulos_equi" id="numero_titulos_equi" placeholder="Ingrese el numero de titulos del equipo" class="form-control" required>
                <br>
                <center>
                    <button type="submit" name="button" class="btn btn-primary">Guardar</button>
                    &nbsp;&nbsp;&nbsp;
                    &nbsp;&nbsp;&nbsp;
                    &nbsp;&nbsp;&nbsp;
                    <a href="/" class="btn btn-danger ml-2">Cancelar</a>
                </center>
            </form>
        </div>
    </div>

    <div class="col-xl-8 col-lg-12 tm-md-12 tm-sm-12 tm-col">
        <div class="bg-white tm-block h-100">

            <div class="table-responsive mt-3">
                <table class="table table-hover table-striped tm-table-striped-even">
                  <thead class="table-dark">
                        <tr>
                            <th>ID</th>
                            <th>NOMBRE</th>
                            <th>SIGLAS</th>
                            <th>FUNDACION</th>
                            <th>REGION</th>
                            <th>TITULOS</th>
                            <th>ACCIONES</th>
                        </tr>
                    </thead>
                    <tbody>
                      {% for equipo in equipos %}
                        <tr>
                          <td>{{ equipo.id_equi }}</td>
                          <td>{{ equipo.nombre_equi }}</td>
                          <td>{{ equipo.siglas_equi }}</td>
                          <td>{{ equipo.fundacion_equi }}</td>
                          <td>{{ equipo.region_equi }}</td>
                          <td>{{ equipo.numero_titulos_equi }}</td>
                          <td>
                          <a href="/editarJugador/{{ equipo.id_jug }}" class="btn btn-warning btn-sm">Editar</a>
                          <a href="javascript:void(0)" onclick="eliminarEquipo('/eliminarEquipo/{{ equipo.id_equi }}');" class="btn btn-danger btn-sm">Eliminar</a>
                        </td>
                        </tr>
                         {% endfor %}
                        <!-- Aquí puedes continuar con más filas de la tabla si es necesario -->
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    function eliminarEquipo(url) {
        iziToast.question({
            timeout: 15000,
            close: true,
            overlay: true,
            displayMode: 'once',
            id: 'question',
            zindex: 999,
            title: 'CONFIRMACIÓN',
            message: '¿Está seguro de eliminar la posición seleccionada?',
            position: 'center',
            buttons: [
                ['<button><b>SI</b></button>', function (instance, toast) {
                    instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                    window.location.href=url;
                }, true],
                ['<button>NO</button>', function (instance, toast) {
                    instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                }],
            ]
        });
    }
</script>
{% endblock %}
